> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Let's Encrypt certificate issuing details

> Get details about the latest Let's Encrypt certificate issuing attempt for the CDN resource. Returns attempts in all statuses.



## OpenAPI

````yaml /api-reference/services_documented/cdn_api.yaml get /cdn/sslData/{cert_id}/status
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: CDN service
    description: Information about the current state of the CDN service in your account.
    x-displayName: CDN service
  - name: CDN resources
    x-displayName: CDN resources
  - name: Origins
    x-displayName: Origins
  - name: Rules
    description: >-
      Rules allow to set up custom settings for certain file types or paths.

      By default, the rule inherits all options values from the related CDN
      resource.


      Each option in rule settings can be in one of the following states:

      - **Inherit** - Option is not added to the rule. Option inherits its value
      from the CDN resource settings. In this case, the option value is
      **null**.

      - **ON** - Option is added to the rule and enabled. Option values
      configured in the rule will override values from the CDN resource
      settings.

      - **OFF** - Option is added to the rule and disabled. Option will be
      turned off.
    x-displayName: Rules
  - name: Rule templates
    x-displayName: Rule templates
  - name: SSL certificates
    x-displayName: SSL certificates
  - name: Let's Encrypt certificates
    x-displayName: Let's Encrypt certificates
  - name: CA certificates
    x-displayName: CA certificates
  - name: CDN activity logs
    description: |-
      Get the history of users requests to CDN.
      It contains requests made both via the API and via the control panel.

      The following methods are not tracked in the activity logs:
      - HEAD
      - OPTIONS
    x-displayName: CDN activity logs
  - name: Log viewer
    description: >-
      Log viewer provides you with general information about CDN operation. This
      information does not contain all possible

      sets of fields and restricted by time. To receive full data, use Logs
      Uploader.
    x-displayName: Log viewer
  - name: Logs uploader
    description: >-
      Logs uploader allows you to upload logs with desired format to desired
      storages.


      Consists of three main parts:

      - **Policies** - rules that define which logs are uploaded and how they
      are uploaded.

      - **Targets** - destinations where logs are uploaded.

      - **Configs** - combinations of logs uploader policies, targets and
      resources to which they are applied.
    x-displayName: Logs uploader
  - name: Tools
    x-displayName: Tools
  - name: CDN Statistics
    description: >-
      Consumption statistics is updated in near real-time as a standard
      practice.

      However, the frequency of updates can vary, but they are typically
      available within a 24-hour period.

      Exceptions, such as maintenance periods, may delay data beyond 24 hours
      until servers resume and fill in the missing statistics.
    x-displayName: Statistics
  - name: Advanced analytics
    description: >-
      Advanced analytics allows to get statistics about unique visitors,
      traffic, and requests for countries, directories, browsers, devices, and
      operation systems for up to 90 days starting from today.


      Advanced analytics API is based on the [GraphQL
      framework](https://graphql.org/).


      Advanced analytics API has one single endpoint:

       https://api.gcore.com/cdn/advanced/v2/query

      You can pass the query parameters as a JSON object in the payload of a
      POST request to this endpoint.

      You can use curl to make requests to the Advanced analytics API.
      Alternatively, you can use a GraphQL client

      to construct queries and pass requests to the Advanced analytics API.


      You can write queries in GraphQL much like in SQL: specify the data set
      (CDN resource), the metrics

      to retrieve (such as unique visitors and traffic), and filter or group by
      dimensions (for example, a country).
    x-displayName: Advanced analytics
  - name: Origin shielding
    x-displayName: Origin shielding
  - name: IP addresses list
    x-displayName: IP addresses list
  - name: Purge history
    x-displayName: Purge history
paths:
  /cdn/sslData/{cert_id}/status:
    get:
      tags:
        - Let's Encrypt certificates
      summary: Get Let's Encrypt certificate issuing details
      description: >-
        Get details about the latest Let's Encrypt certificate issuing attempt
        for the CDN resource. Returns attempts in all statuses.
      operationId: get-lets-encrypt-certificate-issuing-details
      parameters:
        - in: path
          name: cert_id
          description: Let's Encrypt certificate ID.
          required: true
          schema:
            type: integer
        - in: query
          name: exclude
          description: Listed fields will be excluded from the response.
          required: false
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: Successful.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LERequestStatusV2'
        '400':
          description: Failed to provide Let's encrypt certificate issuing details.
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: >-
                      #/components/schemas/LECertificateIsNotAttachedToResourceError
                  - $ref: >-
                      #/components/schemas/LECertificateIssuingNotStartedYetError
                  - $ref: '#/components/schemas/NotLECertificateStatusError'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            ssl_request_status = client.cdn.certificates.get_status(
                cert_id=0,
            )
            print(ssl_request_status.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cdn\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tsslRequestStatus, err := client.CDN.Certificates.GetStatus(\n\t\tcontext.TODO(),\n\t\t0,\n\t\tcdn.CertificateGetStatusParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", sslRequestStatus.ID)\n}\n"
components:
  schemas:
    LERequestStatusV2:
      type: object
      properties:
        id:
          type: integer
          description: ID of the attempt to issue a Let's Encrypt certificate.
          example: 1
        statuses:
          type: array
          description: >-
            Detailed information about attempts to issue a Let's Encrypt
            certificate.
          items:
            $ref: '#/components/schemas/LERequestAttemptStatus'
        latest_status:
          allOf:
            - $ref: '#/components/schemas/LERequestAttemptStatus'
            - description: >-
                Detailed information about last attempt to issue a Let's Encrypt
                certificate.
        started:
          type: string
          description: >-
            Date when the process of issuing a Let's Encrypt certificate was
            started (ISO 8601/RFC 3339 format, UTC).
          example: '2021-10-29T13:20:56.543678Z'
        finished:
          type: string
          description: >-
            Date when the process of issuing a Let's Encrypt certificate was
            finished (ISO 8601/RFC 3339 format, UTC).


            The field is **null** if the issuing process is not finished.
          example: '2021-10-29T13:21:01.550849Z'
        active:
          type: boolean
          description: >-
            Defines whether the Let's Encrypt certificate issuing process is
            active.


            Possible values:

            - **true** - Issuing process is active.

            - **false** - Issuing process is completed.
          example: false
        attempts_count:
          type: integer
          description: Number of attempts to issue the Let's Encrypt certificate.
          example: 1
        next_attempt_time:
          type: string
          nullable: true
          description: >-
            Time of the next scheduled attempt to issue the Let's Encrypt
            certificate (ISO 8601/RFC 3339 format, UTC).
          example: '2021-10-29T13:21:01.550849Z'
        resource:
          type: integer
          description: CDN resource ID.
          example: 1
    LECertificateIsNotAttachedToResourceError:
      title: Let's Encrypt certificate is not attached to resource
      type: object
      properties:
        errors:
          type: object
          properties:
            certificate:
              type: array
              items:
                type: string
              description: >-
                The specified certificate is not attached to any resource.
                Please check the certificate ID.
              example:
                - Certificate is not attached to a resource.
    LECertificateIssuingNotStartedYetError:
      title: Let's Encrypt certificate issuing is not started yet
      type: object
      properties:
        errors:
          type: object
          properties:
            certificate:
              type: array
              items:
                type: string
              description: Let's Encrypt certificate issuing is not started yet.
              example:
                - Let's Encrypt certificate issuing is not started yet.
    NotLECertificateStatusError:
      title: Not Let's Encrypt certificate selected
      type: object
      properties:
        errors:
          type: object
          properties:
            certificate:
              type: array
              items:
                type: string
              description: >-
                The specified certificate is not Let's Encrypt certificate.
                Please check the certificate ID.
              example:
                - Status is available for Let's Encrypt certificates only.
    LERequestAttemptStatus:
      type: object
      properties:
        id:
          type: integer
          description: ID of the attempt to issue the Let's Encrypt certificate.
          example: 1
        status:
          type: string
          description: >-
            Status of the attempt to issue the Let's Encrypt certificate.


            Possible values:

            - **Done** - Attempt is successful. Let's Encrypt certificate was
            issued.

            - **Failed** - Attempt failed. Let's Encrypt certificate was not
            issued.

            - **Cancelled** - Attempt is canceled. Let's Encrypt certificate was
            not issued.
          example: DONE
        error:
          type: string
          description: >-
            Brief description of the error that occurred when trying to issue a
            Let's Encrypt certificate.
          example: ''
        details:
          type: string
          description: >-
            Detailed description of the error that occurred when trying to issue
            a Let's Encrypt certificate.
          example: ''
        created:
          type: string
          description: >-
            Date and time when the issuing attempt status was created (ISO
            8601/RFC 3339 format, UTC).
          example: '2021-10-29T13:21:01.550849Z'
        retry_after:
          type: string
          description: >-
            Date indicating when the certificate issuance limit will be lifted
            (ISO 8601/RFC 3339 format, UTC).


            It is filled in only if error = RateLimited.
          example: '2024-01-01T10:00:00Z'
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````